Method: outboundEndpoints.list

Enumerates all Outbound Endpoints associated with a project.

HTTP request

GET https://dns.googleapis.com/dns/v1beta2/{parent=projects/*/locations/*}/outboundEndpoints

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent project and location from which to list resources. Format: projects/{project}/locations/{location}

Query parameters

Parameters
clientOperationId

string

pageSize

integer

Optional. The maximum number of results to return.

pageToken

string

Optional. A page token received from a previous List call.

Request body

The request body must be empty.

Response body

Response message for OutboundEndpointsService.ListOutboundEndpoints

If successful, the response body contains data with the following structure:

JSON representation
{
  "outboundEndpoints": [
    {
      object (OutboundEndpoint)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
outboundEndpoints[]

object (OutboundEndpoint)

The list of OutboundEndpoints.

nextPageToken

string

A token to retrieve the next page of results. Set to empty if there are no remaining results.

unreachable[]

string

Unordered list. The resource names of the unreachable locations. Format: projects/{project}/locations/{location}

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-platform.read-only
  • https://www.googleapis.com/auth/ndev.clouddns.readonly
  • https://www.googleapis.com/auth/ndev.clouddns.readwrite

For more information, see the Authentication Overview.